Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Built error - 1.9.4  (Read 3295 times)

0 Members and 1 Guest are viewing this topic.

VisioN

  • Contributor
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 82
    • myIRC Project Hosting IRC Network
Built error - 1.9.4
« on: May 17, 2011, 02:05:46 PM »

Hello i just ran the git version of 1.9 branch and after I ./Config , I change directory to anope/build and run "make" but I get the following error during the process:

Code: [Select]
[ 19%] Building CXX object src/CMakeFiles/services.dir/socketengines/pipeengine_                     pipe.o
/home/ircd/anope/src/socketengines/pipeengine_pipe.cpp: In constructor βPipe::Pi                     pe()β:
/home/ircd/anope/src/socketengines/pipeengine_pipe.cpp:47: error: expected unqua                     lified-id before β->β token
make[2]: *** [src/CMakeFiles/services.dir/socketengines/pipeengine_pipe.o] Error                      1
make[1]: *** [src/CMakeFiles/services.dir/all] Error 2
make: *** [all] Error 2
Any ideas? Thanks in advance.
Logged
______________________________
VisioN
Find me: irc.myirc.net | irc.anope.org
Contact me: vision@myirc.net

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: Built error - 1.9.4
« Reply #1 on: May 17, 2011, 02:09:23 PM »

Need more info, what did you check out from where.
Logged

VisioN

  • Contributor
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 82
    • myIRC Project Hosting IRC Network
Re: Built error - 1.9.4
« Reply #2 on: May 17, 2011, 02:11:38 PM »

Its the first time i use git so i did the following:
Code: [Select]
git clone git://anope.git.sf.net/gitroot/anope/anope
and then I changed branch to 1.9 using
Code: [Select]
git checkout -b 1.9 origin/1.9 for 1.9
Logged
______________________________
VisioN
Find me: irc.myirc.net | irc.anope.org
Contact me: vision@myirc.net

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: Built error - 1.9.4
« Reply #3 on: May 17, 2011, 02:12:41 PM »

Good chance top of the tree is on fire as it's changing to 1.9.5.

You'd be better grabbing 1.9.4
Logged

VisioN

  • Contributor
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 82
    • myIRC Project Hosting IRC Network
Re: Built error - 1.9.4
« Reply #4 on: May 17, 2011, 02:13:56 PM »

I see , thanks for the tip Chaz ;-)
Logged
______________________________
VisioN
Find me: irc.myirc.net | irc.anope.org
Contact me: vision@myirc.net
Pages: [1]   Go Up